Bug 446800 - Review Request: ebnetd - EBNET protocol server
Review Request: ebnetd - EBNET protocol server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 02:12 EDT by Akira TAGOH
Modified: 2008-10-15 03:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 03:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-05-16 02:12:39 EDT
Spec URL: http://tagoh.fedorapeople.org/ebnetd/ebnetd.spec
SRPM URL: http://tagoh.fedorapeople.org/ebnetd/ebnetd-1.0-1.fc9.src.rpm
Description:
 EBNET is a protocol to communicate to the EB library that is a C library
 for accessing "CD-ROM books".
Comment 1 Jason Tibbitts 2008-07-04 17:17:53 EDT
You'll need to remove the errant info "dir" in order for this to build.

You shouldn't include the same six documentation files in every subpackage.

That's all I see at a quick glance.
Comment 3 Tony Fu 2008-09-09 23:07:22 EDT
requested by Jens Petersen (#27995)
Comment 4 Gwyn Ciesla 2008-10-10 10:41:06 EDT
What's comment #3 about?

Anyway. . .

rpmlint on SRPM is clean.

rpmlint on RPMS:

ebhttpd.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ebnetd.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ebnetd-common.i386: W: non-standard-uid /var/lib/ebnetd ebnetd
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

ebnetd-common.i386: W: non-standard-gid /var/lib/ebnetd ebnetd
A file in this package is owned by a non standard group. Standard groups are:
root, bin, daemon, sys, adm, tty, disk, lp, mem, kmem, wheel, mail, news,
uucp, man, games, gopher, dip, ftp, lock, nobody, users.

ebnetd-common.i386: W: non-standard-uid /var/run/ebnetd ebnetd
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

ebnetd-common.i386: W: non-standard-gid /var/run/ebnetd ebnetd
A file in this package is owned by a non standard group. Standard groups are:
root, bin, daemon, sys, adm, tty, disk, lp, mem, kmem, wheel, mail, news,
uucp, man, games, gopher, dip, ftp, lock, nobody, users.

ndtpd.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.



These are all fine, see above.

Otherwise, everything looks great, my only other concern after a full review is the Conflicts: for ebhttpd.  Will users expect this to be on port 80 by default, period, full stop, or would it be feasible to set it to use something else by default, or recommend that to users?  It'd be as simple as modifying the xinetd file.  My preference would be to leave it as is, drop the Conflicts:, but add a ebnetd-README.fedora indicating the port 80 issues and resolutions, so that if someone wants to use this on a machine with an existing httpd/tux/whatever, then they have that option and won't be stopped by the RPM.
Comment 5 Akira TAGOH 2008-10-11 08:12:42 EDT
Thanks for the review. I'd prefer adding a document how to change the port too. updated srpm and spec file is:

Spec URL: http://tagoh.fedorapeople.org/ebnetd/ebnetd.spec
SRPM URL: http://tagoh.fedorapeople.org/ebnetd/ebnetd-1.0-3.fc9.src.rpm
Comment 6 Patrice Dumas 2008-10-11 10:47:45 EDT
Please avoid using fedora in the file name:
http://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Avoiding_using_fedora_or_redhat
Comment 8 Gwyn Ciesla 2008-10-13 09:03:19 EDT
Perfect.  Thanks!

APPROVED.
Comment 9 Akira TAGOH 2008-10-14 09:22:37 EDT
New Package CVS Request
=======================
Package Name: ebnetd
Short Description: EBNET protocol server
Owners: tagoh
Branches: devel F-9 F-8
InitialCC:
Comment 10 Huzaifa S. Sidhpurwala 2008-10-15 01:25:46 EDT
cvs done
Comment 11 Akira TAGOH 2008-10-15 02:07:26 EDT
unable to build the package due to "FAILED: BuildError: package ebnetd not in list for tag dist-{f10,{f9,f8}-updates-candidate}.
Comment 12 Akira TAGOH 2008-10-15 03:34:22 EDT
there seems to be a delay. it's ok now.

Note You need to log in before you can comment on or make changes to this bug.